
/*  mit ATMEGA644V   Makefile !! */


#define CS  4   // SPI SS (chip select)
#define NIRQ 2  // (PORTD)

#define HI(x) PORTB.OUTSET |= (1<<(x))
#define LO(x) PORTB OUTCLR |=(1<<(x))

#define WAIT_NIRQ_LOW() while(PIND.IN &(1<<NIRQ))




void portInit(void) {
  HI(CS);
}

void writeCmd(unsigned int cmd) {
  LO(CS);
	rfm12_spi_write(cmd);		//		

  HI(CS);
  
}

void rfInit(void) {
  writeCmd(0x80E7); //EL,EF,868band,12.0pF
  writeCmd(0x8239); //!er,!ebb,ET,ES,EX,!eb,!ew,DC
  writeCmd(0xA640); //frequency select
  writeCmd(0xC647); //4.8kbps
  writeCmd(0x94A0); //VDI,FAST,134kHz,0dBm,-103dBm
  writeCmd(0xC2AC); //AL,!ml,DIG,DQD4
  writeCmd(0xCA81); //FIFO8,SYNC,!ff,DR
  writeCmd(0xCED4); //SYNC=2DD4G
  writeCmd(0xC483); //@PWR,NO RSTRIC,!st,!fi,OE,EN
  writeCmd(0x9850); //!mp,90kHz,MAX OUT
  writeCmd(0xCC17); //OB1COB0, LPX,IddyCDDITCBW0
  writeCmd(0xE000); //NOT USE
  writeCmd(0xC800); //NOT USE
  writeCmd(0xC040); //1.66MHz,2.2V
}

void rfSend(unsigned char data){
  WAIT_NIRQ_LOW();
  writeCmd(0xB800 + data);
}


  	portInit();
  	rfInit();
  while(1){
    LED_ON();
    writeCmd(0x0000);
	rfSend(0xAA); // PREAMBLE
 	rfSend(0xAA);
    rfSend(0xAA);
    rfSend(0x2D); // SYNC
    rfSend(0xD4);
	for(i=0; i<16; i++) {
      rfSend(0x30+i);
    rprintfChar(0x30+i);		
	}
    rfSend(0xAA); // DUMMY BYTES
    rfSend(0xAA);
    rfSend(0xAA);
    LED_OFF();
    for(i=0; i<10000; i++)
      for(j=0; j<123; j++);
  }
}


