//*----------------------------------------------------------------------------
// SPI.C
//*----------------------------------------------------------------------------
#include "tools.h"


//*----------------------------------------------------------------------------
// SPI-Bus initialisieren
//*----------------------------------------------------------------------------

void Port_Init(void) 
{
  // === PORT-B CONFIG ===
  DDRB  = (1 << LCD_RST) | (1 << LCD_A0) | (1 << SPI_MOSI) | (1 << SPI_SCK)  | (1 << LCD_CS) | (0 << SPI_MISO); 
  PORTB = (1 << LCD_RST) | (1 << LCD_A0) | (1 << SPI_MISO) | (1 << SPI_MOSI) | (1 << SPI_SCK)| (1 << LCD_CS);
  


}
// SPI-Bus initialisieren
//*----------------------------------------------------------------------------
void Spi_Init(void)
{
  SPCR = (1 << SPE) | (1 << MSTR) | (0 << SPR1) | (0 << SPR0);    // 4 MBit SPI
  SPSR = 0;
  delay_ms(2);

 }
//*----------------------------------------------------------------------------
// Daten zum Display ausgeben
//*----------------------------------------------------------------------------
U8 Spi_Io(U8 b)
{
  SPDR = b;
  while (!(SPSR & (1 << SPIF))); //warten bis gesendet
  b =SPDR;
  return SPDR;
}
//*----------------------------------------------------------------------------


void delay_ms(uint8_t msec)// 100 msec
{
	while(msec--) {
		_delay_ms(25);
		_delay_ms(25);
		_delay_ms(25);
		_delay_ms(25);
	}
}




void delay_s(uint8_t sec)
{
	while(sec--) {
		_delay_ms(250);
		_delay_ms(250);
		_delay_ms(250);
		_delay_ms(250);
	}
}
